# Offer Pools

***Offer pool provides alternative offers for redirection, if the redirect is activated, the system will choose the most approapriate offer from the offer pool to match the current traffic.***

## Available methods <a href="#available-methods" id="available-methods"></a>

| Methods    | HTTP method | Endpoint                                                                                                                        | Description                                  |
| ---------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------- |
| **Create** |             |                                                                                                                                 |                                              |
|            | POST        | [/v1/offer\_pools](/api-documentation/networkapi/offer_pools/create_an_offer_pool.md)                                           | Create an offer pool                         |
|            | POST        | [/v1/offer\_pools/{pool\_id}/offers/{offer\_ids}](/api-documentation/networkapi/offer_pools/add_offers_to_pool.md)              | Add offers to pool                           |
| **Update** |             |                                                                                                                                 |                                              |
|            | PUT         | [/v1/offer\_pools/{pool\_id}](/api-documentation/networkapi/offer_pools/update_an_offer_pool.md)                                | Update an offer pool                         |
| **Get**    |             |                                                                                                                                 |                                              |
|            | GET         | [/v1/offer\_pools/{pool\_id}](/api-documentation/networkapi/offer_pools/get_an_offer_pool.md)                                   | Get an offer pool                            |
|            | GET         | [/v1/offer\_pools](/api-documentation/networkapi/offer_pools/get_offer_pool.md)                                                 | Get offer pool                               |
|            | GET         | [/v1/offer\_pools/{pool\_id}/offers](/api-documentation/networkapi/offer_pools/get_all_offers_from_offer_pool_by_pool_id.md)    | Get all offers from offer pool by pool id    |
| **Delete** |             |                                                                                                                                 |                                              |
|            | DELETE      | [/v1/offer\_pools/{pool\_id}](/api-documentation/networkapi/offer_pools/delete_an_offer_pool.md)                                | Delete an offer pool                         |
|            | DELETE      | [/v1/offer\_pools/{pool\_id}/offers/{offer\_id}](/api-documentation/networkapi/offer_pools/delete_one_offer_from_offer_pool.md) | Delete one offer from offer pool             |
|            | DELETE      | [/v1/offer\_pools/{pool\_id}/offers](/api-documentation/networkapi/offer_pools/delete_all_offers_from_offer_pool_by_pool_id.md) | Delete all offers from offer pool by pool id |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offer_pools.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
